Error on upgrading to Juniper

Hi all,
I am trying to upgrade to Juniper release and when I run the migrate it gave me the following error

TASK [edxapp : migrate] *******************************************************************************************************************************************************************************
failed: [localhost] (item=lms) => {"changed": true, "cmd": ["/edx/bin/edxapp-migrate-lms"], "delta": "0:00:07.935482", "end": "2021-07-13 08:49:50.884277", "item": "lms", "msg": "non-zero return code", "rc": 1, "start": "2021-07-13 08:49:42.948795", "stderr": "2021-07-13 12:49:46,767 WARNING 6625 [py.warnings] [user None] __init__.py:128 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/sorl/thumbnail/conf/__init__.py:16: RemovedInDjango30Warning: The DEFAULT_CONTENT_TYPE setting is deprecated.\n  setattr(self, attr, getattr(obj, attr))\n\n2021-07-13 12:49:46,769 WARNING 6625 [py.warnings] [user None] __init__.py:142 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/sorl/thumbnail/conf/__init__.py:16: RemovedInDjango31Warning: The FILE_CHARSET setting is deprecated. Starting with Django 3.1, all files read from disk must be UTF-8 encoded.\n  setattr(self, attr, getattr(obj, attr))\n\n2021-07-13 12:49:48,910 WARNING 6625 [py.warnings] [user None] checks.py:1101 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/contrib/admin/checks.py:1101: RemovedInDjango30Warning: Update CourseRegistrationCodeInvoiceItemInline.has_add_permission() to accept a positional `obj` argument.\n  \"`obj` argument.\" % cls.__name__, RemovedInDjango30Warning\n\nSystem check identified some issues:\n\nWARNINGS:\n?: (mysql.W002) MySQL Strict Mode is not set for database connection 'default'\n\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode\n?: (mysql.W002) MySQL Strict Mode is not set for database connection 'read_replica'\n\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode\n?: (mysql.W002) MySQL Strict Mode is not set for database connection 'student_module_history'\n\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode\nTraceback (most recent call last):\n  File \"manage.py\", line 123, in <module>\n    execute_from_command_line([sys.argv[0]] + django_args)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/__init__.py\", line 381, in execute_from_command_line\n    utility.execute()\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/__init__.py\", line 375, in execute\n    self.fetch_command(subcommand).run_from_argv(self.argv)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 323, in run_from_argv\n    self.execute(*args, **cmd_options)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 364, in execute\n    output = self.handle(*args, **options)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 83, in wrapped\n    res = handle_func(*args, **kwargs)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/commands/migrate.py\", line 90, in handle\n    executor.loader.check_consistent_history(connection)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/loader.py\", line 299, in check_consistent_history\n    connection.alias,\ndjango.db.migrations.exceptions.InconsistentMigrationHistory: Migration commerce.0001_data__add_ecommerce_service_user is applied before its dependency user_api.0002_retirementstate_userretirementstatus on database 'default'.", "stderr_lines": ["2021-07-13 12:49:46,767 WARNING 6625 [py.warnings] [user None] __init__.py:128 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/sorl/thumbnail/conf/__init__.py:16: RemovedInDjango30Warning: The DEFAULT_CONTENT_TYPE setting is deprecated.", "  setattr(self, attr, getattr(obj, attr))", "", "2021-07-13 12:49:46,769 WARNING 6625 [py.warnings] [user None] __init__.py:142 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/sorl/thumbnail/conf/__init__.py:16: RemovedInDjango31Warning: The FILE_CHARSET setting is deprecated. Starting with Django 3.1, all files read from disk must be UTF-8 encoded.", "  setattr(self, attr, getattr(obj, attr))", "", "2021-07-13 12:49:48,910 WARNING 6625 [py.warnings] [user None] checks.py:1101 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/contrib/admin/checks.py:1101: RemovedInDjango30Warning: Update CourseRegistrationCodeInvoiceItemInline.has_add_permission() to accept a positional `obj` argument.", "  \"`obj` argument.\" % cls.__name__, RemovedInDjango30Warning", "", "System check identified some issues:", "", "WARNINGS:", "?: (mysql.W002) MySQL Strict Mode is not set for database connection 'default'", "\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode", "?: (mysql.W002) MySQL Strict Mode is not set for database connection 'read_replica'", "\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode", "?: (mysql.W002) MySQL Strict Mode is not set for database connection 'student_module_history'", "\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode", "Traceback (most recent call last):", "  File \"manage.py\", line 123, in <module>", "    execute_from_command_line([sys.argv[0]] + django_args)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/__init__.py\", line 381, in execute_from_command_line", "    utility.execute()", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/__init__.py\", line 375, in execute", "    self.fetch_command(subcommand).run_from_argv(self.argv)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 323, in run_from_argv", "    self.execute(*args, **cmd_options)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 364, in execute", "    output = self.handle(*args, **options)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 83, in wrapped", "    res = handle_func(*args, **kwargs)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/commands/migrate.py\", line 90, in handle", "    executor.loader.check_consistent_history(connection)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/loader.py\", line 299, in check_consistent_history", "    connection.alias,", "django.db.migrations.exceptions.InconsistentMigrationHistory: Migration commerce.0001_data__add_ecommerce_service_user is applied before its dependency user_api.0002_retirementstate_userretirementstatus on database 'default'."], "stdout": "", "stdout_lines": []}
failed: [localhost] (item=cms) => {"changed": true, "cmd": ["/edx/bin/edxapp-migrate-cms"], "delta": "0:00:07.935327", "end": "2021-07-13 08:49:59.013017", "item": "cms", "msg": "non-zero return code", "rc": 1, "start": "2021-07-13 08:49:51.077690", "stderr": "2021-07-13 12:49:55,491 WARNING 6663 [py.warnings] [user None] s3boto.py:48 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/storages/backends/s3boto.py:48: DeprecationWarning: The S3BotoStorage backend is deprecated in favor of the S3Boto3Storage backend and will be removed in django-storages 1.8. This backend is mostly in bugfix only mode and has been for quite a while (in much the same way as its underlying library 'boto'). For performance, security and new feature reasons it is _strongly_ recommended that you update to the S3Boto3Storage backend. Please see the migration docs https://django-storages.readthedocs.io/en/latest/backends/amazon-S3.html#migrating-boto-to-boto3.\n  DeprecationWarning\n\n2021-07-13 12:49:55,680 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:485: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead\n  getargspec(func)\n\n2021-07-13 12:49:55,681 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:463: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead\n  spec = getargspec(matcher)\n\n2021-07-13 12:49:55,681 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:497: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead\n  argspec = getargspec(func)\n\n2021-07-13 12:49:55,686 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:509: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead\n  spec = getargspec(func)\n\n2021-07-13 12:49:55,687 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:246: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead\n  spec = getargspec(self.factory)\n\n2021-07-13 12:49:55,704 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:244: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead\n  spec = getargspec(empty)\n\n2021-07-13 12:49:56,536 WARNING 6663 [py.warnings] [user None] decorators.py:229 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/user_tasks/views.py:60: RemovedInDRF310Warning: `detail_route` is deprecated and will be removed in 3.10 in favor of `action`, which accepts a `detail` bool. Use `@action(detail=True)` instead.\n  @detail_route(methods=['post'])\n\n2021-07-13 12:49:56,538 WARNING 6663 [py.warnings] [user None] routers.py:93 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/user_tasks/urls.py:12: RemovedInDRF311Warning: The `base_name` argument is pending deprecation in favor of `basename`.\n  ROUTER.register(r'artifacts', ArtifactViewSet, base_name='usertaskartifact')\n\n2021-07-13 12:49:56,538 WARNING 6663 [py.warnings] [user None] routers.py:93 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/user_tasks/urls.py:13: RemovedInDRF311Warning: The `base_name` argument is pending deprecation in favor of `basename`.\n  ROUTER.register(r'tasks', StatusViewSet, base_name='usertaskstatus')\n\nSystem check identified some issues:\n\nWARNINGS:\n?: (mysql.W002) MySQL Strict Mode is not set for database connection 'default'\n\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode\n?: (mysql.W002) MySQL Strict Mode is not set for database connection 'read_replica'\n\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode\n?: (mysql.W002) MySQL Strict Mode is not set for database connection 'student_module_history'\n\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode\nTraceback (most recent call last):\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/utils.py\", line 84, in _execute\n    return self.cursor.execute(sql, params)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/mysql/base.py\", line 71, in execute\n    return self.cursor.execute(query, args)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/cursors.py\", line 209, in execute\n    res = self._query(query)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/cursors.py\", line 315, in _query\n    db.query(q)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/connections.py\", line 239, in query\n    _mysql.connection.query(self, query)\nMySQLdb._exceptions.OperationalError: (1054, \"Unknown column 'oauth2_provider_application.created' in 'field list'\")\n\nThe above exception was the direct cause of the following exception:\n\nTraceback (most recent call last):\n  File \"manage.py\", line 123, in <module>\n    execute_from_command_line([sys.argv[0]] + django_args)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/__init__.py\", line 381, in execute_from_command_line\n    utility.execute()\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/__init__.py\", line 375, in execute\n    self.fetch_command(subcommand).run_from_argv(self.argv)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 323, in run_from_argv\n    self.execute(*args, **cmd_options)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 364, in execute\n    output = self.handle(*args, **options)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 83, in wrapped\n    res = handle_func(*args, **kwargs)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/commands/migrate.py\", line 234, in handle\n    fake_initial=fake_initial,\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/executor.py\", line 117, in migrate\n    state = self._migrate_all_forwards(state, plan, full_plan, fake=fake, fake_initial=fake_initial)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/executor.py\", line 147, in _migrate_all_forwards\n    state = self.apply_migration(state, migration, fake=fake, fake_initial=fake_initial)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/executor.py\", line 245, in apply_migration\n    state = migration.apply(state, schema_editor)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/migration.py\", line 121, in apply\n    operation.database_forwards(self.app_label, schema_editor, old_state, project_state)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/operations/special.py\", line 190, in database_forwards\n    self.code(from_state.apps, schema_editor)\n  File \"/edx/app/edxapp/edx-platform/openedx/core/djangoapps/oauth_dispatch/migrations/0003_application_data.py\", line 16, in migrate_application_data\n    for application in Application.objects.all():\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/models/query.py\", line 274, in __iter__\n    self._fetch_all()\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/models/query.py\", line 1242, in _fetch_all\n    self._result_cache = list(self._iterable_class(self))\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/models/query.py\", line 55, in __iter__\n    results = compiler.execute_sql(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/models/sql/compiler.py\", line 1142, in execute_sql\n    cursor.execute(sql, params)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/utils.py\", line 67, in execute\n    return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/utils.py\", line 76, in _execute_with_wrappers\n    return executor(sql, params, many, context)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/utils.py\", line 84, in _execute\n    return self.cursor.execute(sql, params)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/utils.py\", line 89, in __exit__\n    raise dj_exc_value.with_traceback(traceback) from exc_value\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/utils.py\", line 84, in _execute\n    return self.cursor.execute(sql, params)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/mysql/base.py\", line 71, in execute\n    return self.cursor.execute(query, args)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/cursors.py\", line 209, in execute\n    res = self._query(query)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/cursors.py\", line 315, in _query\n    db.query(q)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/connections.py\", line 239, in query\n    _mysql.connection.query(self, query)\ndjango.db.utils.OperationalError: (1054, \"Unknown column 'oauth2_provider_application.created' in 'field list'\")", "stderr_lines": ["2021-07-13 12:49:55,491 WARNING 6663 [py.warnings] [user None] s3boto.py:48 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/storages/backends/s3boto.py:48: DeprecationWarning: The S3BotoStorage backend is deprecated in favor of the S3Boto3Storage backend and will be removed in django-storages 1.8. This backend is mostly in bugfix only mode and has been for quite a while (in much the same way as its underlying library 'boto'). For performance, security and new feature reasons it is _strongly_ recommended that you update to the S3Boto3Storage backend. Please see the migration docs https://django-storages.readthedocs.io/en/latest/backends/amazon-S3.html#migrating-boto-to-boto3.", "  DeprecationWarning", "", "2021-07-13 12:49:55,680 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:485: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead", "  getargspec(func)", "", "2021-07-13 12:49:55,681 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:463: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead", "  spec = getargspec(matcher)", "", "2021-07-13 12:49:55,681 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:497: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead", "  argspec = getargspec(func)", "", "2021-07-13 12:49:55,686 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:509: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead", "  spec = getargspec(func)", "", "2021-07-13 12:49:55,687 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:246: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead", "  spec = getargspec(self.factory)", "", "2021-07-13 12:49:55,704 WARNING 6663 [py.warnings] [user None] inspect.py:1041 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/lepl/matchers/support.py:244: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() instead", "  spec = getargspec(empty)", "", "2021-07-13 12:49:56,536 WARNING 6663 [py.warnings] [user None] decorators.py:229 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/user_tasks/views.py:60: RemovedInDRF310Warning: `detail_route` is deprecated and will be removed in 3.10 in favor of `action`, which accepts a `detail` bool. Use `@action(detail=True)` instead.", "  @detail_route(methods=['post'])", "", "2021-07-13 12:49:56,538 WARNING 6663 [py.warnings] [user None] routers.py:93 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/user_tasks/urls.py:12: RemovedInDRF311Warning: The `base_name` argument is pending deprecation in favor of `basename`.", "  ROUTER.register(r'artifacts', ArtifactViewSet, base_name='usertaskartifact')", "", "2021-07-13 12:49:56,538 WARNING 6663 [py.warnings] [user None] routers.py:93 - /edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/user_tasks/urls.py:13: RemovedInDRF311Warning: The `base_name` argument is pending deprecation in favor of `basename`.", "  ROUTER.register(r'tasks', StatusViewSet, base_name='usertaskstatus')", "", "System check identified some issues:", "", "WARNINGS:", "?: (mysql.W002) MySQL Strict Mode is not set for database connection 'default'", "\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode", "?: (mysql.W002) MySQL Strict Mode is not set for database connection 'read_replica'", "\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode", "?: (mysql.W002) MySQL Strict Mode is not set for database connection 'student_module_history'", "\tHINT: MySQL's Strict Mode fixes many data integrity problems in MySQL, such as data truncation upon insertion, by escalating warnings into errors. It is strongly recommended you activate it. See: https://docs.djangoproject.com/en/2.2/ref/databases/#mysql-sql-mode", "Traceback (most recent call last):", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/utils.py\", line 84, in _execute", "    return self.cursor.execute(sql, params)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/mysql/base.py\", line 71, in execute", "    return self.cursor.execute(query, args)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/cursors.py\", line 209, in execute", "    res = self._query(query)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/cursors.py\", line 315, in _query", "    db.query(q)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/connections.py\", line 239, in query", "    _mysql.connection.query(self, query)", "MySQLdb._exceptions.OperationalError: (1054, \"Unknown column 'oauth2_provider_application.created' in 'field list'\")", "", "The above exception was the direct cause of the following exception:", "", "Traceback (most recent call last):", "  File \"manage.py\", line 123, in <module>", "    execute_from_command_line([sys.argv[0]] + django_args)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/__init__.py\", line 381, in execute_from_command_line", "    utility.execute()", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/__init__.py\", line 375, in execute", "    self.fetch_command(subcommand).run_from_argv(self.argv)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 323, in run_from_argv", "    self.execute(*args, **cmd_options)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 364, in execute", "    output = self.handle(*args, **options)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/base.py\", line 83, in wrapped", "    res = handle_func(*args, **kwargs)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/core/management/commands/migrate.py\", line 234, in handle", "    fake_initial=fake_initial,", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/executor.py\", line 117, in migrate", "    state = self._migrate_all_forwards(state, plan, full_plan, fake=fake, fake_initial=fake_initial)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/executor.py\", line 147, in _migrate_all_forwards", "    state = self.apply_migration(state, migration, fake=fake, fake_initial=fake_initial)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/executor.py\", line 245, in apply_migration", "    state = migration.apply(state, schema_editor)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/migration.py\", line 121, in apply", "    operation.database_forwards(self.app_label, schema_editor, old_state, project_state)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/migrations/operations/special.py\", line 190, in database_forwards", "    self.code(from_state.apps, schema_editor)", "  File \"/edx/app/edxapp/edx-platform/openedx/core/djangoapps/oauth_dispatch/migrations/0003_application_data.py\", line 16, in migrate_application_data", "    for application in Application.objects.all():", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/models/query.py\", line 274, in __iter__", "    self._fetch_all()", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/models/query.py\", line 1242, in _fetch_all", "    self._result_cache = list(self._iterable_class(self))", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/models/query.py\", line 55, in __iter__", "    results = compiler.execute_sql(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/models/sql/compiler.py\", line 1142, in execute_sql", "    cursor.execute(sql, params)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/utils.py\", line 67, in execute", "    return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/utils.py\", line 76, in _execute_with_wrappers", "    return executor(sql, params, many, context)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/utils.py\", line 84, in _execute", "    return self.cursor.execute(sql, params)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/utils.py\", line 89, in __exit__", "    raise dj_exc_value.with_traceback(traceback) from exc_value", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/utils.py\", line 84, in _execute", "    return self.cursor.execute(sql, params)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/django/db/backends/mysql/base.py\", line 71, in execute", "    return self.cursor.execute(query, args)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/cursors.py\", line 209, in execute", "    res = self._query(query)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/cursors.py\", line 315, in _query", "    db.query(q)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/MySQLdb/connections.py\", line 239, in query", "    _mysql.connection.query(self, query)", "django.db.utils.OperationalError: (1054, \"Unknown column 'oauth2_provider_application.created' in 'field list'\")"], "stdout": "Operations to perform:\n  Apply all migrations: admin, announcements, api_admin, assessment, auth, block_structure, bookmarks, catalog, celery_utils, completion, consent, content_libraries, content_type_gating, contentserver, contentstore, contenttypes, cornerstone, course_action_state, course_creators, course_date_signals, course_duration_limits, course_groups, course_modes, course_overviews, courseware, coursewarehistoryextended, crawlers, credit, dark_lang, database_fixups, degreed, discounts, django_comment_common, django_notify, djcelery, edx_proctoring, edx_when, edxval, embargo, enterprise, entitlements, experiments, external_user_ids, integrated_channel, milestones, oauth2_provider, oauth_dispatch, organizations, redirects, sap_success_factors, schedules, self_paced, sessions, site_configuration, sites, static_replace, student, submissions, survey, system_wide_roles, tagging, theming, track, user_api, user_authn, user_tasks, verified_track_content, verify_student, video_config, video_pipeline, waffle, waffle_utils, wiki, workflow, xapi, xblock_config, xblock_django\nRunning migrations:\n  Applying oauth_dispatch.0003_application_data...", "stdout_lines": ["Operations to perform:", "  Apply all migrations: admin, announcements, api_admin, assessment, auth, block_structure, bookmarks, catalog, celery_utils, completion, consent, content_libraries, content_type_gating, contentserver, contentstore, contenttypes, cornerstone, course_action_state, course_creators, course_date_signals, course_duration_limits, course_groups, course_modes, course_overviews, courseware, coursewarehistoryextended, crawlers, credit, dark_lang, database_fixups, degreed, discounts, django_comment_common, django_notify, djcelery, edx_proctoring, edx_when, edxval, embargo, enterprise, entitlements, experiments, external_user_ids, integrated_channel, milestones, oauth2_provider, oauth_dispatch, organizations, redirects, sap_success_factors, schedules, self_paced, sessions, site_configuration, sites, static_replace, student, submissions, survey, system_wide_roles, tagging, theming, track, user_api, user_authn, user_tasks, verified_track_content, verify_student, video_config, video_pipeline, waffle, waffle_utils, wiki, workflow, xapi, xblock_config, xblock_django", "Running migrations:", "  Applying oauth_dispatch.0003_application_data..."]}

NO MORE HOSTS LEFT ************************************************************************************************************************************************************************************
	to retry, use: --limit @/var/tmp/configuration/playbooks/openedx_native.retry

PLAY RECAP ********************************************************************************************************************************************************************************************
localhost                  : ok=1    changed=0    unreachable=0    failed=1   

Any help.